Home | All Classes | Grouped Classes | Index | Search

# CL_GUIManager::run

Runs the GUI message pump continuosly.

    	void run(
    		CL_Component* modal_component = 0);

Parameters:

modal_component
  This parameter indicates if input events should only occour from a certaincomponent or beneath in the component tree. This is used to start modalmessage pumps in the system, where you can only interface with a popup orsimilar.

Detailed description:

This function runs the GUI mesage pump continously until CL_GUIManager::quit() is called. It will redraw the screen and user events to components as they occour.

See also:

CL_Component | CL_GUIManager

Questions or comments, write to the ClanLib mailing list.